package com.setqq.script.sdk;

import android.webkit.JavascriptInterface;

import com.saki.service.NewService;

import com.setqq.script.Msg;

import java.io.Serializable;

public interface IScript extends Serializable {
    void onLoad(NewService context);
    void onMessageHandler(Msg msg);
    @JavascriptInterface
    String onAction(String value);
    void delete();
    void destroy();
    String getViewUrl();
    void runFunction(String funName,String param);
}
